/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package im.kurt.resumeapi;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

/**
 *
 * @author ksiegfried
 */
public class InitData {
    private static Resume kurt;
    public static Resume getResume(){
        return kurt;
    }
    static{
        
        kurt = new Resume();
        List<Job> jobs = kurt.getEmployers();
        List<School> schools = kurt.getEducation();
        
        Job infa = new Job();
        infa.setCity("Warrenville");
        infa.setState("Illinois");
        infa.setEmployer("Informatica Corporation");
        infa.setTitle("Software Engineer Intern - Messaging Business Unit");
        infa.setDescription("Worked on Development and QA of the Informatica"
                + " Ultra Messaging product line.  Did extensive work on the Ultra"
                + " Messaging Manager, and created an internal security testing"
                + " tool to help improve code robustness.");
        Calendar c = Calendar.getInstance();
        c.set(2011, Calendar.MAY, 9, 8, 0);
        infa.setStartDate(c.getTime());
        jobs.add(infa);
        
        Calendar start = Calendar.getInstance();
        start.set(2011, Calendar.AUGUST, 29, 8, 0);
        Calendar end = Calendar.getInstance();
        end.set(2011, Calendar.DECEMBER, 19, 17, 0);
        Job amd = new Job.JobBuilder().setCity("Austin")
                .setState("Texas")
                .setEmployer("Advanced Micro Devices")
                .setStartDate(start.getTime())
                .setEndDate(end.getTime())
                .setTitle("Co-Op Engineer - Systems Software Development")
                .setDescription("Worked with the project management organization"
                + " to gather requirements for, and build a custom application to"
                + " improve interaction between teams.  Worked with automation "
                + "and tools team to develop automation tools for hardware diagnostics."
                + " Developed software in Ruby and C#. ")
                .build();
        jobs.add(amd);
        
        start = Calendar.getInstance();
        start.set(2009, Calendar.AUGUST, 31, 8, 0);
        end = Calendar.getInstance();
        end.set(2011, Calendar.MAY, 8, 17, 0);
        Job gts = new Job.JobBuilder().setCity("Aurora")
                .setState("Illinois")
                .setEmployer("Gram Technology Services, LLC")
                .setTitle("Principal and Independent Consultant")
                .setDescription("Worked as an independent consultant.  Provided"
                + " IT services to small and medium-size businesses.  Provided "
                + "help desk, and audit services to other IT consulting firms.")
                .setStartDate(start.getTime())
                .setEndDate(end.getTime())
                .build();
        jobs.add(gts);
        
        start = Calendar.getInstance();
        start.set(2007, Calendar.JUNE, 25, 8, 0);
        end = Calendar.getInstance();
        end.set(2009, Calendar.AUGUST, 28, 17, 0);
        Job awt = new Job.JobBuilder().setCity("Champaign").setState("Illinois").setEmployer("Area-Wide Technologies").setTitle("Project Manager").setDescription("Advanced from Network Technician, to Project manager"
                + " Acted as project manager for more than twenty-five client organizations."
                + "  Designed, built, and managed implementation for client projects."
                + "  Mentored and trained other Network Technicians.")
                .setStartDate(start.getTime())
                .setEndDate(end.getTime())
                .build();
        jobs.add(awt);
        
        start = Calendar.getInstance();
        start.set(2005, Calendar.AUGUST, 15, 8, 0);
        end = Calendar.getInstance();
        end.set(2007, Calendar.JUNE, 22, 17, 0);
        Job wm = new Job.JobBuilder().setCity("Champaign").setState("Illinois")
                .setEmployer("Wireless Mikes")
                .setTitle("Inside Sales - IT Support")
                .setDescription("Provided inside sales, and customer support.  "
                + "Provided implementation and IT support to business to business sales team.  "
                + "Helped plan, and implement an email migration for the company."
                + "  Helped design, and implement a company-wide documentation system.")
                .setStartDate(start.getTime())
                .setEndDate(end.getTime())
                .build();
        jobs.add(wm);
        
        start = Calendar.getInstance();
        start.set(2004,Calendar.MAY,30,8,0);
        end = Calendar.getInstance();
        end.set(2005,Calendar.JUNE,15,17,0);
        Job tcbmw = new Job.JobBuilder().setCity("Savoy").setState("Illinois")
                .setEmployer("Twin City BMW Motorcycles")
                .setTitle("Mechanic")
                .setDescription("Worked as a motorcycle service technician while"
                + " attending the University of Illinois.")
                .setStartDate(start.getTime())
                .setEndDate(end.getTime())
                .build();
        jobs.add(tcbmw);
        
        start = Calendar.getInstance();
        start.set(2010, Calendar.JANUARY, 4);
        end = Calendar.getInstance();
        end.set(2012, Calendar.JUNE, 8);
        School ncc = new School.SchoolBuilder().setCity("Naperville").setState("Illinois").setMajor("Computer Science").setDegree("Bachelor of Science").setName("North Central College").setStartDate(start.getTime()).setEndDate(end.getTime()).build();
        schools.add(ncc);
        
        start = Calendar.getInstance();
        start.set(2002, Calendar.AUGUST, 25);
        end = Calendar.getInstance();
        end.set(2004, Calendar.MAY, 30);
        School uiuc = new School.SchoolBuilder().setCity("Champaign").setState("Illinois").setName("University of Illinois at Urbana-Champaign").setMajor("Political Science").setStartDate(start.getTime()).setEndDate(end.getTime()).build();
        schools.add(uiuc);
        
        List<String> skills = kurt.getSkills();
        skills.add("REST Web Services :)");
        skills.add("Java");
        skills.add("Ruby");
        skills.add("C#");
        skills.add("C");
        skills.add("Git");
        skills.add("Mercurial");
        skills.add("Network Administration");
        skills.add("Project Management");
        skills.add("Network Security");
        skills.add("Microsoft Network Administration");
        
        List<String> ec = kurt.getInterests();
        ec.add("University of Illinois Underwater Hockey");
        ec.add("Triathlon Training");
        ec.add("Homebrewing");
        ec.add("Cycling");
        
        List<String> aw = kurt.getAwards();
        aw.add("First Place: 2012 ACCA Programming Competiton - Advanced Division");
        aw.add("Top Five: 2011 ACCA Programming Competition - Advanced Divison");
        
        List<String> cs = kurt.getCommunityService();
        cs.add("Worked for American Red Cross Texas Wildfire Relief Effort");
        cs.add("Raised money for American Foundation for Suicide Prevention");
        cs.add("Donated time and professional services to Aurora Interfaith Food Pantry");
        
        kurt.setSkills(skills);
        kurt.setfName("Kurt");
        kurt.setlName("Siegfried");
        kurt.setCity("Aurora");
        kurt.setState("Illinois");
        kurt.setAlternate_url("http://kurt.im/resume.pdf");
    }
    
}
