/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package im.kurt.resumeapi;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.io.IOException;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author ksiegfried
 */
public class resourceServlet extends HttpServlet {

    private enum options {

        education, employers, skills, interests, awards, communityservice
    }
    private String resourceName;
    private List resources;
    private Resume res;

    public resourceServlet(String resource) {
        super();
        this.resourceName = resource;
        res = InitData.getResume();
        switch (options.valueOf(resource)) {
            case education:
                resources = res.getEducation();
                break;
            case employers:
                resources = res.getEmployers();
                break;
            case skills:
                resources = res.getSkills();
                break;
            case interests:
                resources = res.getInterests();
                break;
            case awards:
                resources = res.getAwards();
                break;
            case communityservice:
                resources = res.getCommunityService();
                break;

        }

    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {

        Gson g = new GsonBuilder().setPrettyPrinting().create();
        int index = getIndex(req.getRequestURI());

        if (index >=0  && index < resources.size()) {
            resp.getWriter().print(g.toJson(resources.get(index)));
        } else {
            resp.getWriter().print(g.toJson(resources));
        }
    }

    private int getIndex(String uri) {
        uri = uri.replaceFirst("/", "");
        int index = -1;
        try {
            String[] argList = uri.split("/");
            index = Integer.parseInt(argList[1]);
        } catch (Exception e) {
        }
        return index;
    }
}
